Subject: Re: [pim] Adoption of draft-zzp-pim-rfc4601-update-survey-report-00.txt as a pim wg work item

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Wed, 6 Mar 2013 15:25:33 +0000

Bharat,

Sorry for the late response to your earlier questions.

> -----Original Message-----
> From: Bharat Joshi [mailto:[email-masked]]
> Sent: Monday, February 25, 2013 1:39 AM
> To: Jeffrey (Zhaohui) Zhang; Rishabh Parekh (riparekh); [email-masked]
> Subject: RE: [pim] Adoption of draft-zzp-pim-rfc4601-update-survey-
> report-00.txt as a pim wg work item
> 
> Jeffrey,
> 
>       I have got one more question.
> 
>       I was reading through RFC 2715 ( Interoperability Rules for
> Multicast Routing Protocols ). I understand that as per this survey, no
> vendor is using ( *,*, RP) functionality from PIM-SM and only one
> implementation of the same exist. Because of this, we might remove this
> functionality from PIM-SM spec.
> 
>       If we end up removing this functionality from PIM-SM spec then
> how will another multicast routing protocol will interact with a PIM-SM
> border router? For example: a domain has a stub network that runs PIM-
> DM internally but wants to receive traffic from external sources and
> the domain speaks PIM-SM.

For an existing deployment like that, it'll continue to work with the existing (*,*,RP) implementations based on RFC 4601.
For future deployments, it's worth consider if PIM-DM is really the right choice; if yes, then the routers in the PIM-SM domain will have to support (*,*,RP), based on RFC 4601.

To advance PIM protocol to Standard, we have to prune optional features that do not have sufficient implementation and deployment experiences from the protocol; that does not mean that implementations have to remove that feature.

More below on your earlier questions.

> 
> Regards,
> Bharat
> 
> ________________________________________
> From: [email-masked] [[email-masked]] on behalf of Jeffrey
> (Zhaohui) Zhang [[email-masked]]
> Sent: Wednesday, February 20, 2013 3:49 AM
> To: Rishabh Parekh (riparekh); [email-masked]
> Subject: Re: [pim] Adoption of draft-zzp-pim-rfc4601-update-survey-
> report-00.txt as a pim wg work item
> 
> Rishabh,

I intended to have an offline chat with Rishabh but accidentally sent it to the list :-) We had done that but I forgot to report back.

> 
> > Two operator have deployed Anycast-RP using MSDP and three operators
> > deploy both MSDP and PIM-SM Anycast-RP.
> >
> > In the second case, what was MSDP used for?
> 
> Is it that one is w/o MSDP and the other is w/ MSDP?

The paragraph will be changed to the following:

  Two operator have deployed Anycast-RP using MSDP (RFC 3446).
  Three operators have deployed Anycast-RP using both MSDP (RFC 3446)
  and PIM (RFC 4610) for different deployment scenarios.

> 
> > 5. In section 2.2.3, "The number of Sparse-Mode RPs deployed", I am not
> > sure what we mean by 'Sparse-Mode RPs'. Is this term defined somewhere
> > else?
> 
> Should we remove the "Sparse-Mode"? Is there a need to emphasize it is
> not Bidir RP?

It is indeed used to emphasize it is not Bidir RP. We'd like to keep it that way, maybe rewording to "The number of RPs deployed for PIM-SM".

Thanks.
Jeffrey

> 
> Thanks.
> Jeffrey
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On Behalf Of
> > Bharat Joshi
> > Sent: Tuesday, February 12, 2013 1:11 AM
> > To: [email-masked]
> > Subject: Re: [pim] Adoption of draft-zzp-pim-rfc4601-update-survey-
> > report-00.txt as a pim wg work item
> >
> > Hi,
> >
> >       I support adoption of this draft. I have few
> > questions/suggestions as mentioned below.
> >
> > Regards,
> > Bharat
> >
> > Questions/Suggestions:
> >
> > 1. In abstract:
> >
> >    This document provides supporting documentation to advance the
> >    Protocol Independent Multicast - Sparse Mode (PIM-SM) routing
> >    protocol from IETF Proposed Standard to Internet Standard
> >
> > Should we use the term 'multicast routing protocol' instead of just
> > 'routing protocol'?
> >
> > 2. If we decide to change the above, there are some other places
> where
> > we use 'routing protocol' so please review the same and see if we
> want
> > to change them as well.
> >
> > 3. In section 2.2.2,  Small typo in " deployments ofeither "
> >
> > 4. In section 2.2.2, "or Pim Multicast Border" -> "or PIM Multicast
> > Border"
> >
> > 5. In section 2.2.3, "The number of Sparse-Mode RPs deployed", I am
> not
> > sure what we mean by 'Sparse-Mode RPs'. Is this term defined
> somewhere
> > else?
> >
> > 6. In section 2.2.3, I did not get the difference of the two in the
> > following sentence:
> >
> > Two operator have deployed Anycast-RP using MSDP and three operators
> > deploy both MSDP and PIM-SM Anycast-RP.
> >
> > In the second case, what was MSDP used for?
> >
> > 7. In section 2.3.1, can we rework the following sentence a little:
> >
> > Four vendors have reported implementations based on [RFC4601] and two
> > have implemented PIM Sparse-Mode based on [RFC2362]
> >
> > to something like:
> >
> > Four vendors have PIM Sparse-Mode implementations based on [RFC4601].
> > Two vendors
> > have PIM Sparse-Mode implementations based on [RFC2362].
> >
> > ________________________________________
> > From: [email-masked] [[email-masked]] on behalf of Stig
> > Venaas [[email-masked]]
> > Sent: Thursday, February 07, 2013 5:07 AM
> > To: [email-masked]
> > Subject: [pim] Adoption of draft-zzp-pim-rfc4601-update-survey-
> report-
> > 00.txt as a pim wg work item
> >
> > As we've decided long ago in the wg, we need to address the 4601
> errata
> > and we want to progress 4601 on standards track. As part of this we
> > need
> > to have an implementation report. We did a survey and the results are
> > collected in
> >
> > draft-zzp-pim-rfc4601-update-survey-report-00.txt
> >
> > I think it makes sense to work towards publishing the survey results
> as
> > an RFC. We did this with e.g. RFC 4601. See RFC 4602. If we want to
> > publish the report as an RFC, then I think we should first adopt it
> as
> > a WG work item, and do the usual WG process to make sure it is in the
> > shape we want it to be before publication.
> >
> > This is an adoption call to see if we should adopt the survey report
> > at this stage. If you think it makes sense to have it as a WG item,
> and
> > it is of sufficient quality, then consider voting yes. If you believe
> > we
> > should not push this through as a WG item, or it is of insufficient
> > quality at this point, then you probably want to vote no.
> >
> > I hope this is sufficient background. So based on this, please
> respond
> > and state whether we should adopt this document as a WG item at this
> > point.
> >
> > Please respond by February 20th.
> >
> > Stig
> > _______________________________________________
> > pim mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/pim
> >
> > **************** CAUTION - Disclaimer *****************
> > This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended
> > solely
> > for the use of the addressee(s). If you are not the intended
> recipient,
> > please
> > notify the sender by e-mail and delete the original message. Further,
> > you are not
> > to copy, disclose, or distribute this e-mail or its contents to any
> > other person and
> > any such actions are unlawful. This e-mail may contain viruses.
> Infosys
> > has taken
> > every reasonable precaution to minimize this risk, but is not liable
> > for any damage
> > you may sustain as a result of any virus in this e-mail. You should
> > carry out your
> > own virus checks before opening the e-mail or attachment. Infosys
> > reserves the
> > right to monitor and review the content of all messages sent to or
> from
> > this e-mail
> > address. Messages sent to or from this e-mail address may be stored
> on
> > the
> > Infosys e-mail system.
> > ***INFOSYS******** End of Disclaimer ********INFOSYS***
> > _______________________________________________
> > pim mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/pim
> 
> 
> _______________________________________________
> pim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pim

---

From: Bharat Joshi <[email-masked]>
Date: Fri, 8 Mar 2013 10:19:15 +0000

Jeffrey,

     You resolution to the two points look good to me.

Regards,
Bharat
________________________________________
From: Jeffrey (Zhaohui) Zhang [[email-masked]]
Sent: Wednesday, March 06, 2013 8:55 PM
To: Bharat Joshi; Rishabh Parekh (riparekh); [email-masked]
Subject: RE: [pim] Adoption of draft-zzp-pim-rfc4601-update-survey-report-00.txt as a pim wg work item

Bharat,

Thanks.
Jeffrey